/*
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 */

package org.ow2.orchestra.login.client.ui.impl;

import org.ow2.orchestra.login.client.ui.ClientFactory;
import org.ow2.orchestra.login.client.ui.LoginView;

/**
 * @author Loic Albertin
 */
public class ClientFactoryImplShell implements ClientFactory {
  public LoginView getLoginView() {
    LoginViewImplShell loginView = new LoginViewImplShell();
    loginView.setPresenter(new PresenterImpl(loginView));
    loginView.init();
    loginView.logoutButton.ensureDebugId("logoutButtonId");
    loginView.connectionLabel.ensureDebugId("infoLabelId");
    return loginView;
  }
}
